## ros-melodic-sound-play 0.3.9

=== debian/changelog ===
ros-melodic-sound-play (0.3.9-1stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 21 Oct 2020 15:00:00 -0000

ros-melodic-sound-play (0.3.8-1stretch) stretch; urgency=high

  * Merge pull request #155 <https://github.com/ros-drivers/audio_common/issues/155> from garaemon/use-myargv
    Use rospy.myargv() instead of sys.argv to support remapping
  * Use rospy.myargv() instead of sys.argv to support remapping
  * Merge pull request #154 <https://github.com/ros-drivers/audio_common/issues/154> from mikaelarguedas/fix_say_python3
  * update to support no iso-8859-15 language (#1 <https://github.com/ros-drivers/audio_common/issues/1>)
    * support non iso-8859-15 language
    * encode only for python2
  * convert items to an iterator
  * make cleanup compatible with Python 3
  * catch AttributeError to handle python3 strings
  * Contributors: Mikael Arguedas, Ryohei Ueda, Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Sat, 12 Sep 2020 15:00:00 -0000

ros-melodic-sound-play (0.3.7-1stretch) stretch; urgency=high

  * Merge pull request #149 <https://github.com/ros-drivers/audio_common/issues/149> from garaemon/specify-topic-to-play-sound
    Support use different topic and actionlib to play sound
  * Support use different topic and actionlib to play sound
    * Add two keywords to the constructor of SoundClient class in order to
    specify actionlib namespace and topic name to play sound.
    * See #119 <https://github.com/ros-drivers/audio_common/issues/119>.
  * Merge pull request #144 <https://github.com/ros-drivers/audio_common/issues/144> from ros-drivers/knorth55-patch-1
  * add gstreamer1.0-alsa exec_depend in sound_play
  * Contributors: Ryohei Ueda, Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Fri, 07 Aug 2020 15:00:00 -0000

ros-melodic-sound-play (0.3.6-1stretch) stretch; urgency=high

  * Merge pull request #140 <https://github.com/ros-drivers/audio_common/issues/140> from knorth55/support-python3
    fix syntax for python3
  * Merge pull request #141 <https://github.com/ros-drivers/audio_common/issues/141> from knorth55/add-maintainer
    add maintainer
  * add maintainer
  * fix syntax for python3
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Thu, 28 May 2020 15:00:00 -0000

ros-melodic-sound-play (0.3.5-1stretch) stretch; urgency=high

  * Merge pull request #133 <https://github.com/ros-drivers/audio_common/issues/133> from knorth55/noetic-build
  * remove unnecessary shebang
  * use setuptools instead of distutils.core
  * use package format=3 for python3
  * refactor CMakeLists.txt
  * use catkin_install_python for python shebang
  * Merge pull request #135 <https://github.com/ros-drivers/audio_common/issues/135> from knorth55/add-travis
  * disable sound_play test
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Mon, 27 Apr 2020 15:00:00 -0000

ros-melodic-sound-play (0.3.4-1stretch) stretch; urgency=high

  * Merge pull request #126 <https://github.com/ros-drivers/audio_common/issues/126> from itohdak/fix-Gstreamer-memory-leak
    [sound_play/scripts/soundplay_node.py] fix Gstreamer memory leak
  * Merge pull request #123 <https://github.com/ros-drivers/audio_common/issues/123> from 708yamaguchi/fix-encode
    Do not encode text when using langages which ISO-8859-15 does not support
  * [sound_play/scripts/soundplay_node.py] fix Gstreamer memory leak
  * do not encode text when using langages which ISO-8859-15 does not support
  * Merge pull request #118 <https://github.com/ros-drivers/audio_common/issues/118> from v4hn/patch-1
    use default audio output by default
  * use default audio output by default
    Not specifying a sound device defaults to *the first* sound device starting from Ubuntu 16.04., not to the one configured as default.
    The change is backward compatible and tested on ROS indigo and kinetic on a PR2 robot.
  * Merge pull request #110 <https://github.com/ros-drivers/audio_common/issues/110> from gerardcanal/master
    Encoded text to be said in ISO-8859-15
  * Merge branch 'master' of github.com:ros-drivers/audio_common
  * Sound play: Encoded file to be said in ISO-8859-15 so that accents in languages such as Spanish, Catalan or French are correctly pronounced (based on http://festcat.talp.cat/en/usage.php which says festival expects ISO-8859-15 encoding)
  * Contributors: Austin, Gerard Canal, Michael Görner, Naoya Yamaguchi, Shingo Kitagawa, itohdak

 -- Austin Hendrix <namniart@gmail.com>  Wed, 01 Apr 2020 15:00:00 -0000

ros-melodic-sound-play (0.3.3-1stretch) stretch; urgency=high

  * Fix gstreamer errors. Fixes #108 <https://github.com/ros-drivers/audio_common/issues/108>
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Mon, 21 May 2018 15:00:00 -0000

ros-melodic-sound-play (0.3.2-1stretch) stretch; urgency=high

  * [sound_play] add option to select audio device to play / record (#87 <https://github.com/ros-drivers/audio_common/issues/87>)
    * [sound_play] add option to select audio device to play
    * [sound_play] reformat README to markdown; add usage to set device via rosparam
    * audio_capture: add option for selecting device to use
    * audio_play: add option to select device for playing audio
    * add device argument to launch files
    Conflicts:
    audio_capture/launch/capture.launch
    audio_capture/launch/capture_to_file.launch
    audio_capture/src/audio_capture.cpp
    audio_play/launch/play.launch
    sound_play/scripts/soundplay_node.py
  * Merge pull request #95 <https://github.com/ros-drivers/audio_common/issues/95> from yujinrobot/volume_check
    [sound_play] volume check for cached sounds
  * [sound_play] checks if sound's Gst instance's volume has changed and resets it
  * Contributors: Austin, Naveed Usmani, Yuki Furuta

 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 May 2018 15:00:00 -0000

ros-melodic-sound-play (0.3.1-1stretch) stretch; urgency=high


