## ros-melodic-sound-play 0.3.17

=== debian/changelog ===
ros-melodic-sound-play (0.3.17-1bionic) bionic; urgency=high

  * Merge pull request #231 <https://github.com/ros-drivers/audio_common/issues/231> from knorth55/no-wait-mode
  * dont wait when rospy.Duration(0) is set for timeout
  * Merge pull request #229 <https://github.com/ros-drivers/audio_common/issues/229> from furushchev/flite-plugin-lazy-load
    FlitePlugin: Lazy loading default voice path
  * FlitePlugin: Lazy loading default voice path
  * Contributors: Shingo Kitagawa, Yuki Furuta

 -- Austin Hendrix <namniart@gmail.com>  Wed, 07 Jun 2023 15:00:00 -0000

ros-melodic-sound-play (0.3.16-1bionic) bionic; urgency=high

  * Merge pull request #203 <https://github.com/ros-drivers/audio_common/issues/203> from nakane11/timeout
  * refactor libsoundplay.py
  * Add timeout to wait_for_server and wait_for_result
  * Contributors: Aoi Nakane, Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Thu, 22 Dec 2022 15:00:00 -0000

ros-melodic-sound-play (0.3.15-1bionic) bionic; urgency=high

  * Merge pull request #200 <https://github.com/ros-drivers/audio_common/issues/200> from knorth55/yaml-missing
  * show error and skip loading when plugin yaml is missing
  * Merge pull request #199 <https://github.com/ros-drivers/audio_common/issues/199> from knorth55/install-plugin-yaml
  * fix missing install in CMakeLists.txt
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Sun, 28 Aug 2022 15:00:00 -0000

ros-melodic-sound-play (0.3.14-1bionic) bionic; urgency=high

  * Merge pull request #193 <https://github.com/ros-drivers/audio_common/issues/193> from knorth55/refactor-soundplay-node
  * refactor soundplay_node.py
  * Merge pull request #192 <https://github.com/ros-drivers/audio_common/issues/192> from knorth55/fix-file-open-issue
  * fix typo causing file open issue
  * Merge pull request #191 <https://github.com/ros-drivers/audio_common/issues/191> from knorth55/flite-default-voice-dir
  * add default voice dir for flite_plugin
  * Merge pull request #190 <https://github.com/ros-drivers/audio_common/issues/190> from ros-drivers/knorth55-patch-1
  * Update soundplay_node.py
  * Merge pull request #187 <https://github.com/ros-drivers/audio_common/issues/187> from knorth55/fix-typo
  * fix typo in soundplay_node.py
  * Merge pull request #185 <https://github.com/ros-drivers/audio_common/issues/185> from knorth55/sound-play-flite-plugin
    add flite plugin for sound_play
  * Merge pull request #183 <https://github.com/ros-drivers/audio_common/issues/183> from knorth55/sound-play-plugin
    add soundplay plugin feature
  * add flite in sound_play dependency
  * refactor FestivalPlugin
  * add flite plugin
  * change default_voice to None
  * add plugin arg in soundplay_node.launch
  * refactor codes
  * add output screen in soundplay_node.launch
  * add soundplay plugin attribute
  * Merge pull request #184 <https://github.com/ros-drivers/audio_common/issues/184> from knorth55/default-voice
  * add default_voice in soundplay_node.launch
  * Merge pull request #182 <https://github.com/ros-drivers/audio_common/issues/182> from iory/is-speaking
  * Improve is_speaking by checking goal status
  * Merge pull request #181 <https://github.com/ros-drivers/audio_common/issues/181> from knorth55/refactor-is-speaking
  * refactor is_speaking.py
  * Contributors: JSK fetch user, Shingo Kitagawa, iory

 -- Austin Hendrix <namniart@gmail.com>  Wed, 17 Aug 2022 15:00:00 -0000

ros-melodic-sound-play (0.3.13-1bionic) bionic; urgency=high

  * Merge pull request #176 <https://github.com/ros-drivers/audio_common/issues/176> from iory/is-speeching
  * Add is_speaking.py to catkin_install_python
  * Fixed name speeching to speaking
  * Add is_speeching node for checking robot is speaking
  * Contributors: Shingo Kitagawa, iory

 -- Austin Hendrix <namniart@gmail.com>  Wed, 06 Apr 2022 15:00:00 -0000

ros-melodic-sound-play (0.3.12-1bionic) bionic; urgency=high

  * Merge pull request #175 <https://github.com/ros-drivers/audio_common/issues/175> from iory/rate
    Modified loop rate for action execution
  * Modified loop rate for action execution
  * Merge pull request #131 <https://github.com/ros-drivers/audio_common/issues/131> from yann-bourrigault/master
    Handle playing sound in loop
  * import GObject in try section
  * Merge pull request #174 <https://github.com/ros-drivers/audio_common/issues/174> from iory/cache
    Add arg2 information for cache
  * Add arg2 information for cache
  * Merge pull request #173 <https://github.com/ros-drivers/audio_common/issues/173> from knorth55/replace-sound-client
  * Merge pull request #172 <https://github.com/ros-drivers/audio_common/issues/172> from knorth55/start-action-after-init
    [sound_play] start ActionServer after initialize in soundplay_node.py
  * Merge pull request #171 <https://github.com/ros-drivers/audio_common/issues/171> from knorth55/set-aborted
    [sound_play] add proper set_aborted in soundplay_node.py
  * add replace in sendMsg
  * start actionserver after initialize in soundplay_node.py
  * add proper set_aborted in soundplay_node.py
  * Merge branch 'master' into master
  * Handle playing sound repeatedly
  * Contributors: Shingo Kitagawa, Yann BOURRIGAULT, iory

 -- Austin Hendrix <namniart@gmail.com>  Tue, 31 Aug 2021 15:00:00 -0000

ros-melodic-sound-play (0.3.11-1bionic) bionic; urgency=high

  * Merge pull request #167 <https://github.com/ros-drivers/audio_common/issues/167> from k-okada/fix_155
  * Use rospy.myargv() instead of sys.argv to support remapping
  * Contributors: Kei Okada, Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Wed, 07 Apr 2021 15:00:00 -0000

ros-melodic-sound-play (0.3.10-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 06 Jan 2021 15:00:00 -0000

ros-melodic-sound-play (0.3.9-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 21 Oct 2020 15:00:00 -0000

ros-melodic-sound-play (0.3.8-1bionic) bionic; urgency=high


