=== debian/control ===
Source: ros-melodic-sound-play
Section: misc
Priority: optional
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-setuptools, ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-audio-common-msgs, ros-melodic-catkin, ros-melodic-diagnostic-msgs, ros-melodic-message-generation, ros-melodic-roscpp, ros-melodic-roslib
Homepage: http://ros.org/wiki/sound_play
Standards-Version: 3.9.2

Package: ros-melodic-sound-play
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, festival, festvox-kallpc16k, flite, gir1.2-gst-plugins-base-1.0, gir1.2-gstreamer-1.0, gstreamer1.0-alsa, gstreamer1.0-plugins-base, gstreamer1.0-plugins-good, gstreamer1.0-plugins-ugly, gstreamer1.0-tools, libgstreamer-plugins-base1.0-0, libgstreamer-plugins-good1.0-0, libgstreamer1.0-0, python-gi, ros-melodic-actionlib-msgs, ros-melodic-audio-common-msgs, ros-melodic-diagnostic-msgs, ros-melodic-message-runtime, ros-melodic-resource-retriever, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-rospy
Description: sound_play provides a ROS node that translates commands on a ROS topic (robotsound) into sounds.
 The node supports built-in sounds, playing OGG/WAV files, and doing speech synthesis via festival. C++ and Python bindings allow this node to be used without understanding the details of the message format, allowing faster development and resilience to message format changes.
